Bug 19272 - Too many menu items
Summary: Too many menu items
Status: RESOLVED WONTFIX
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-24 02:33 UTC by Sebastian Heinlein
Modified: 2012-01-05 10:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Heinlein 2008-12-24 02:33:01 UTC
Forwarded report from an Ubuntu user:

"After installing Packagekit, my gnome menus seem to have too many entries:

-Apps → system tools → log viewer.
-System → preferences → software update.
-System → administration → update system, add software, repositories.

I understand update system and add software are necessary to install and update software, but are the other three really necessary? Couldn't they be reached from PK as preference dialogues and the like?"

https://bugs.edge.launchpad.net/ubuntu/+source/packagekit-gnome/+bug/275942
Comment 1 Richard Hughes 2008-12-24 08:46:19 UTC
Na, I've followed the HIG on this one -- I've also had some UI review done here at Red Hat and the consensus the icons are in the right place. PackageKit isn't an application, it's a framework with a few programs that use it. It's just an implementation detail they are shipped in the same project and tarball. I agree we could add menu items for items such as a the log viewer. but I think that's a separate bug. Thanks for forwarding this one tho.
Comment 2 Sebastian Heinlein 2008-12-25 00:50:22 UTC
Actually the user does not care if PackageKit is a framework or not and how the software is shipped. The menu items are a completely different aspect. You don't see a tarball/menu item relation in the menu.

You should either make the user interface case sensitive, so showing the important application when the user needs it, or group them by functionality to provide a smooth workflow. But the first one seems quite hard to implement.

Matthew Paul Thomas the ui expert of Canonical always pushed for a single application which handles updates, repositories, applications and packages to avoid scattering.

In case of the log viewer: The user would search for a log in the place where he or she installed or removed software before and not in a completely different menu category.

Also the behavior of updates should be configurable in the updating application.

Cheers,

Sebastian
Comment 3 Richard Hughes 2008-12-26 01:39:34 UTC
I disagree. The user doesn't think to himself "I'm going to manage my packages now" -- an icon appears and the user updates, or a document is presented that needs a package to be manually installed. It's simply not meant to be one monolithic application. I do think there needs to be a link to the log viewer in gpk-application.
Comment 4 Jean-François Fortin Tam 2012-01-05 10:04:18 UTC
This bug report is very old and this is not so much a problem these days (especially with gnome shell).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.